connector BondPort//Base class 
 Real e;
 Real f;
end BondPort;

connector SignalPort//Base class 
 Real s;
end SignalPort;

class Node1//SeSf
 BondPort Port3;
 parameter  Real 	Se = 0;
equation
 Port3.e = Se;
 Port3.f = 1;
end Node1;

class Node5//J0
 BondPort Port9;
 BondPort Port13;
 BondPort Port21;
equation
 Port9.e = Port13.e;
 Port13.e = Port21.e;
 -Port9.f+Port13.f+Port21.f = 0;
end Node5;

class Node6//J1
 BondPort Port12;
 BondPort Port16;
 BondPort Port19;
equation
 Port12.f = Port16.f;
 Port16.f = Port19.f;
 Port12.e-Port16.e-Port19.e = 0;
end Node6;

class Node7//R
 BondPort Port18;
 parameter  Real 	R = 20000;
equation
 Port18.e = R * Port18.f;
end Node7;

class Node8//C
 BondPort Port15;
 parameter  Real 	C = 1/10000;
 Real 	q;
equation
 Port15.f = der(q);
 q = C * Port15.e;
end Node8;

class Node23//J0
 BondPort Port51;
 BondPort Port55;
 BondPort Port63;
equation
 Port51.e = Port55.e;
 Port55.e = Port63.e;
 -Port51.f+Port55.f+Port63.f = 0;
end Node23;

class Node24//J1
 BondPort Port54;
 BondPort Port58;
 BondPort Port61;
equation
 Port54.f = Port58.f;
 Port58.f = Port61.f;
 Port54.e-Port58.e-Port61.e = 0;
end Node24;

class Node25//R
 BondPort Port57;
 parameter  Real 	R = 20000;
equation
 Port57.e = R * Port57.f;
end Node25;

class Node26//C
 BondPort Port60;
 parameter  Real 	C = 1/10000;
 Real 	q;
equation
 Port60.f = der(q);
 q = C * Port60.e;
end Node26;

class Node27//J1
 BondPort Port66;
 BondPort Port78;
 BondPort Port81;
equation
 Port66.f = Port78.f;
 Port78.f = Port81.f;
 Port66.e-Port78.e-Port81.e = 0;
end Node27;

class Node35//J1
 BondPort Port36;
 BondPort Port49;
 BondPort Port52;
equation
 Port36.f = Port49.f;
 Port49.f = Port52.f;
 Port36.e-Port49.e-Port52.e = 0;
end Node35;

class Node45//J1
 BondPort Port83;
 BondPort Port87;
 BondPort Port96;
equation
 Port83.f = Port87.f;
 Port87.f = Port96.f;
 Port83.e-Port87.e-Port96.e = 0;
end Node45;

class Node65//J0
 BondPort Port31;
 BondPort Port43;
 BondPort Port69;
equation
 Port31.e = Port43.e;
 Port43.e = Port69.e;
 -Port31.f+Port43.f+Port69.f = 0;
end Node65;

class Node67//R
 BondPort Port77;
 parameter  Real 	R = 20000;
equation
 Port77.e = R * Port77.f;
end Node67;

class Node68//C
 BondPort Port80;
 parameter  Real 	C = 1/10000;
 Real 	q;
equation
 Port80.f = der(q);
 q = C * Port80.e;
end Node68;

class Node70//J1
 BondPort Port29;
 BondPort Port32;
 BondPort Port37;
equation
 Port29.f = Port32.f;
 Port32.f = Port37.f;
 -Port29.e-Port32.e+Port37.e = 0;
end Node70;

class Node140//J1
 BondPort Port2;
 BondPort Port157;
 BondPort Port201;
 BondPort Port511;
equation
 Port157.e+Port201.e-Port511.e+Port2.e = 0;
 Port157.f = Port201.f;
 Port201.f = Port511.f;
 Port511.f = Port2.f;
end Node140;

class Node141//J0
 BondPort Port158;
 BondPort Port182;
 BondPort Port303;
equation
 Port158.e = Port182.e;
 Port182.e = Port303.e;
 +Port158.f+Port182.f-Port303.f = 0;
end Node141;

class Node143//J0
 BondPort Port38;
 BondPort Port84;
 BondPort Port89;
equation
 Port38.e = Port89.e;
 +Port38.f-Port89.f+Port84.f = 0;
 Port89.e = Port84.e;
end Node143;

class Node146//J1
 BondPort Port181;
 BondPort Port185;
 BondPort Port245;
equation
 Port181.f = Port185.f;
 Port185.f = Port245.f;
 Port181.e-Port185.e-Port245.e = 0;
end Node146;

class Node147//C
 BondPort Port184;
 parameter  Real 	C = 1/10000;
 Real 	q;
equation
 Port184.f = der(q);
 q = C * Port184.e;
end Node147;

class Node150//R
 BondPort Port178;
 parameter  Real 	R = 10000;
equation
 Port178.e = R * Port178.f;
end Node150;

class Node152//MSf
 BondPort Port90;
 SignalPort Port92;
equation
 Port90.f = Port92.s;
end Node152;

class Node153//Function
 SignalPort Port93;
equation
 Port93.s =if time<=0.5 then 0 else 0.1;
end Node153;

class Node200//Se
 BondPort Port202;
 parameter  Real 	Se = 250*9.81;
equation
 Port202.e = Se;
end Node200;

class Node243//R
 BondPort Port244;
 parameter  Real 	R = 1000;
equation
 Port244.e = R * Port244.f;
end Node243;

class Node247//DeDf
 BondPort Port86;
end Node247;

class Node255//R
 BondPort Port367;
 parameter  Real 	R = 1000000;
equation
 Port367.e = R * Port367.f;
end Node255;

class Node256//C
 BondPort Port370;
 parameter  Real 	C = 1/10000;
 Real 	q;
equation
 Port370.f = der(q);
 q = C * Port370.e;
end Node256;

class Node257//I
 BondPort Port411;
 parameter  Real 	I = 10;
 Real 	p;
equation
 Port411.e = der(p);
 p = I * Port411.f;
end Node257;

class Node296//J1
 BondPort Port304;
 BondPort Port316;
 BondPort Port491;
equation
 Port304.f = Port316.f;
 Port316.f = Port491.f;
 -Port304.e+Port316.e-Port491.e = 0;
end Node296;

class Node309//J0
 BondPort Port317;
 BondPort Port365;
 BondPort Port414;
equation
 Port317.e = Port365.e;
 Port365.e = Port414.e;
 +Port317.f+Port365.f-Port414.f = 0;
end Node309;

class Node363//J1
 BondPort Port364;
 BondPort Port368;
 BondPort Port371;
equation
 Port364.f = Port368.f;
 Port368.f = Port371.f;
 Port364.e-Port368.e-Port371.e = 0;
end Node363;

class Node383//J1
 BondPort Port408;
 BondPort Port412;
 BondPort Port415;
equation
 Port408.f = Port412.f;
 Port412.f = Port415.f;
 Port408.e-Port412.e-Port415.e = 0;
end Node383;

class Node384//J0
 BondPort Port400;
 BondPort Port409;
 BondPort Port448;
equation
 Port400.e = Port409.e;
 Port409.e = Port448.e;
 +Port400.f+Port409.f-Port448.f = 0;
end Node384;

class Node386//J1
 BondPort Port399;
 BondPort Port403;
 BondPort Port406;
equation
 Port399.f = Port403.f;
 Port403.f = Port406.f;
 Port399.e-Port403.e-Port406.e = 0;
end Node386;

class Node387//R
 BondPort Port402;
 parameter  Real 	R = 1000000;
equation
 Port402.e = R * Port402.f;
end Node387;

class Node388//C
 BondPort Port405;
 parameter  Real 	C = 1/10000;
 Real 	q;
equation
 Port405.f = der(q);
 q = C * Port405.e;
end Node388;

class Node389//I
 BondPort Port445;
 parameter  Real 	I = 10;
 Real 	p;
equation
 Port445.e = der(p);
 p = I * Port445.f;
end Node389;

class Node417//J1
 BondPort Port10;
 BondPort Port442;
 BondPort Port449;
equation
 Port442.e-Port449.e-Port10.e = 0;
 Port442.f = Port449.f;
 Port449.f = Port10.f;
end Node417;

class Node418//J0
 BondPort Port48;
 BondPort Port434;
 BondPort Port443;
equation
 +Port434.f+Port443.f-Port48.f = 0;
 Port434.e = Port443.e;
 Port443.e = Port48.e;
end Node418;

class Node420//J1
 BondPort Port433;
 BondPort Port437;
 BondPort Port440;
equation
 Port433.f = Port437.f;
 Port437.f = Port440.f;
 Port433.e-Port437.e-Port440.e = 0;
end Node420;

class Node421//R
 BondPort Port436;
 parameter  Real 	R = 1000000;
equation
 Port436.e = R * Port436.f;
end Node421;

class Node422//C
 BondPort Port439;
 parameter  Real 	C = 1/10000;
 Real 	q;
equation
 Port439.f = der(q);
 q = C * Port439.e;
end Node422;

class Node423//I
 BondPort Port479;
 parameter  Real 	I = 10;
 Real 	p;
equation
 Port479.e = der(p);
 p = I * Port479.f;
end Node423;

class Node451//J0
 BondPort Port28;
 BondPort Port46;
 BondPort Port468;
equation
 +Port468.f+Port46.f-Port28.f = 0;
 Port46.e = Port28.e;
 Port468.e = Port46.e;
end Node451;

class Node453//J1
 BondPort Port467;
 BondPort Port471;
 BondPort Port474;
equation
 Port467.f = Port471.f;
 Port471.f = Port474.f;
 Port467.e-Port471.e-Port474.e = 0;
end Node453;

class Node454//R
 BondPort Port470;
 parameter  Real 	R = 1000000;
equation
 Port470.e = R * Port470.f;
end Node454;

class Node455//C
 BondPort Port473;
 parameter  Real 	C = 1/10000;
 Real 	q;
equation
 Port473.f = der(q);
 q = C * Port473.e;
end Node455;

class Node456//I
 BondPort Port461;
 parameter  Real 	I = 10;
 Real 	p;
equation
 Port461.e = der(p);
 p = I * Port461.f;
end Node456;

class Node485//J0
 BondPort Port490;
 BondPort Port494;
 BondPort Port497;
equation
 Port490.e = Port494.e;
 Port494.e = Port497.e;
 -Port490.f+Port494.f+Port497.f = 0;
end Node485;

class Node486//J1
 BondPort Port496;
 BondPort Port500;
 BondPort Port503;
equation
 Port496.f = Port500.f;
 Port500.f = Port503.f;
 Port496.e-Port500.e-Port503.e = 0;
end Node486;

class Node487//I
 BondPort Port493;
 parameter  Real 	I = 30;
 Real 	p;
equation
 Port493.e = der(p);
 p = I * Port493.f;
end Node487;

class Node488//R
 BondPort Port499;
 parameter  Real 	R = 20000;
equation
 Port499.e = R * Port499.f;
end Node488;

class Node489//C
 BondPort Port502;
 parameter  Real 	C = 1/100000;
 Real 	q;
equation
 Port502.f = der(q);
 q = C * Port502.e;
end Node489;

class Node505//J0
 BondPort Port510;
 BondPort Port514;
 BondPort Port517;
equation
 Port510.e = Port514.e;
 Port514.e = Port517.e;
 -Port510.f+Port514.f+Port517.f = 0;
end Node505;

class Node506//I
 BondPort Port513;
 parameter  Real 	I = 250;
 Real 	p;
equation
 Port513.e = der(p);
 p = I * Port513.f;
end Node506;

class Node507//J1
 BondPort Port516;
 BondPort Port520;
 BondPort Port523;
equation
 Port516.f = Port520.f;
 Port520.f = Port523.f;
 Port516.e-Port520.e-Port523.e = 0;
end Node507;

class Node508//R
 BondPort Port519;
 parameter  Real 	R = 20000000;
equation
 Port519.e = R * Port519.f;
end Node508;

class Node509//C
 BondPort Port522;
 parameter  Real 	C = 1/10000000;
 Real 	q;
equation
 Port522.f = der(q);
 q = C * Port522.e;
end Node509;

model modele53b_4RC_relax_d
Node1 sesf_1;
Node5 j0_5;
Node6 j1_106;
Node7 r_7;
Node8 c_8;
Node23 j0_23;
Node24 j1_24;
Node25 r_125;
Node26 c_126;
Node27 j1_127;
Node35 j1_35;
Node45 j1_45;
Node65 j0_65;
Node67 r_67;
Node68 c_68;
Node70 j1_70;
Node140 j1_0;
Node141 j0_1;
Node143 j0_3;
Node146 j1_6;
Node147 c_7;
Node150 r_11;
Node152 msf_12;
Node153 function_13;
Node200 se_15;
Node243 r_0;
Node247 dedf_1;
Node255 r_4;
Node256 c_5;
Node257 i_6;
Node296 j1_32;
Node309 j0_6;
Node363 j1_20;
Node383 j1_25;
Node384 j0_25;
Node386 j1_26;
Node387 r_25;
Node388 c_25;
Node389 i_25;
Node417 j1_27;
Node418 j0_26;
Node420 j1_28;
Node421 r_26;
Node422 c_26;
Node423 i_106;
Node451 j0_27;
Node453 j1_30;
Node454 r_27;
Node455 c_27;
Node456 i_27;
Node485 j0_28;
Node486 j1_33;
Node487 i_28;
Node488 r_28;
Node489 c_28;
Node505 j0_29;
Node506 i_29;
Node507 j1_34;
Node508 r_29;
Node509 c_29;
equation
 connect(sesf_1.Port3,j1_0.Port2);
 connect(j1_27.Port10,j0_5.Port9);
 connect(j0_5.Port13,j1_106.Port12);
 connect(j1_106.Port16,c_8.Port15);
 connect(j1_106.Port19,r_7.Port18);
 connect(j0_5.Port21,i_25.Port445);
 connect(j1_70.Port29,j0_27.Port28);
 connect(j1_70.Port32,j0_65.Port31);
 connect(j0_3.Port38,j1_70.Port37);
 connect(j0_65.Port43,i_27.Port461);
 connect(j0_27.Port46,j1_35.Port36);
 connect(j1_35.Port49,j0_26.Port48);
 connect(j1_35.Port52,j0_23.Port51);
 connect(j0_23.Port55,j1_24.Port54);
 connect(j1_24.Port58,r_125.Port57);
 connect(j1_24.Port61,c_126.Port60);
 connect(j0_23.Port63,i_106.Port479);
 connect(j0_65.Port69,j1_127.Port66);
 connect(j1_127.Port78,r_67.Port77);
 connect(j1_127.Port81,c_68.Port80);
 connect(j0_3.Port84,j1_45.Port83);
 connect(msf_12.Port90,j0_3.Port89);
 connect(function_13.Port93,msf_12.Port92);
 connect(j1_45.Port87,dedf_1.Port86);
 connect(j1_45.Port96,r_11.Port178);
 connect(j0_1.Port158,j1_0.Port157);
 connect(j0_1.Port182,j1_6.Port181);
 connect(j1_6.Port185,c_7.Port184);
 connect(se_15.Port202,j1_0.Port201);
 connect(j1_6.Port245,r_0.Port244);
 connect(j1_32.Port304,j0_1.Port303);
 connect(j0_6.Port317,j1_32.Port316);
 connect(j0_6.Port365,j1_20.Port364);
 connect(j1_20.Port368,r_4.Port367);
 connect(j1_20.Port371,c_5.Port370);
 connect(j0_25.Port400,j1_26.Port399);
 connect(j1_26.Port403,r_25.Port402);
 connect(j1_26.Port406,c_25.Port405);
 connect(j0_25.Port409,j1_25.Port408);
 connect(j1_25.Port412,i_6.Port411);
 connect(j1_25.Port415,j0_6.Port414);
 connect(j0_26.Port434,j1_28.Port433);
 connect(j1_28.Port437,r_26.Port436);
 connect(j1_28.Port440,c_26.Port439);
 connect(j0_26.Port443,j1_27.Port442);
 connect(j1_27.Port449,j0_25.Port448);
 connect(j0_27.Port468,j1_30.Port467);
 connect(j1_30.Port471,r_27.Port470);
 connect(j1_30.Port474,c_27.Port473);
 connect(j1_32.Port491,j0_28.Port490);
 connect(j0_28.Port494,i_28.Port493);
 connect(j0_28.Port497,j1_33.Port496);
 connect(j1_33.Port500,r_28.Port499);
 connect(j1_33.Port503,c_28.Port502);
 connect(j1_0.Port511,j0_29.Port510);
 connect(j0_29.Port514,i_29.Port513);
 connect(j0_29.Port517,j1_34.Port516);
 connect(j1_34.Port520,r_29.Port519);
 connect(j1_34.Port523,c_29.Port522);
end modele53b_4RC_relax_d;
